package com.kmall.manager.manager.express.sf.properties;

import com.kmall.manager.manager.express.kdn.KdnProperties;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @author Scott Chen
 * @since 1.0
 * 2018-09-27
 */
@Component
public class SFPropertiesBuilder {
    private static final Logger logger = LoggerFactory.getLogger(SFPropertiesBuilder.class);

    @Autowired
    @Qualifier("sfProperties")
    private SFProperties sfProperties;

    private static SFProperties sfProp;

    /**
     * Bean 向静态变量赋值
     */
    @PostConstruct
    private void init(){
        logger.info("KdnProperties初始化开始......");
        sfProp = sfProperties;
    }

    public static SFProperties instance(){
        logger.info("KdnProperties实例返回");
        return sfProp;
    }

}
